import java.awt.Graphics;
import javax.swing.JPanel;

/**
 * @author Milan Ruzicka
 *
 */

public class ChatMessage extends Tool {

	private static final long serialVersionUID = 32L;
	public final boolean drawable = false;
	public String text;

	public ChatMessage(String s) {
		text = new String(s);
	}

	/* (non-Javadoc)
	 * @see Tool#draw(java.awt.Graphics)
	 */
	@Override
	public void draw(Graphics g) {

	}

	/* (non-Javadoc)
	 * @see Tool#drawPreview(java.awt.Graphics)
	 */
	@Override
	public void drawPreview(Graphics g) {

	}

	/* (non-Javadoc)
	 * @see Tool#settingPanel()
	 */
	@Override
	public JPanel settingPanel() {
		return null;
	}
	
	public boolean isDrawable(){
		return false;
	}

}
